package com.huimv.receive.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BaseDevice;
import com.huimv.receive.mapper.BaseDeviceMapper;
import com.huimv.receive.service.IBaseDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
@Service
public class BaseDeviceServiceImpl extends ServiceImpl<BaseDeviceMapper, BaseDevice> implements IBaseDeviceService {

    @Override
    public Result addDevice(BaseDevice baseDevice) {
        String deviceCode = baseDevice.getDeviceCode();
        int deviceCodeCount = this.count(new QueryWrapper<BaseDevice>().eq("device_code", deviceCode));
        if (deviceCodeCount>0){
            return new Result(10001,"设备编码已存在",false);
        }
        this.save(baseDevice);
        return new Result(10000,"添加成功",true);
    }

    @Override
    public Result updateDevice(BaseDevice baseDevice) {
        this.updateById(baseDevice);
        return new Result(10000,"修改成功",true);
    }
}
